gnomeos: Fix NetworkManager, upower, PolicyKit builds

This commit is contained in:
Colin Walters 2012-01-29 16:33:07 -05:00
parent 5477dc5273
commit 08ebb1cfc0
3 changed files with 73 additions and 3 deletions

View File

@ -0,0 +1,39 @@
From 96c2bf715e2bc0912433c4ddbe65f76a0a1dba6f Mon Sep 17 00:00:00 2001
From: Colin Walters <walters@verbum.org>
Date: Sun, 29 Jan 2012 16:01:56 -0500
Subject: [PATCH] build: Allow --set-more-warnings=no|yes|error
For the GNOME autobuilders, we want compiler warnings, but don't want
-Werror. For developer compatibility, the default value is "error".
---
m4/compiler_warnings.m4 | 8 +++++---
1 files changed, 5 insertions(+), 3 deletions(-)
diff --git a/m4/compiler_warnings.m4 b/m4/compiler_warnings.m4
index 575ea9a..eeacfae 100644
--- a/m4/compiler_warnings.m4
+++ b/m4/compiler_warnings.m4
@@ -1,7 +1,7 @@
AC_DEFUN([NM_COMPILER_WARNINGS],
[AC_ARG_ENABLE(more-warnings,
- AS_HELP_STRING([--enable-more-warnings], [Maximum compiler warnings]),
- set_more_warnings="$enableval",set_more_warnings=yes)
+ AS_HELP_STRING([--enable-more-warnings], [Possible values: no/yes/error]),
+ set_more_warnings="$enableval",set_more_warnings=error)
AC_MSG_CHECKING(for more warnings)
if test "$GCC" = "yes" -a "$set_more_warnings" != "no"; then
AC_MSG_RESULT(yes)
@@ -26,7 +26,9 @@ if test "$GCC" = "yes" -a "$set_more_warnings" != "no"; then
unset SAVE_CFLAGS
done
unset option
- CFLAGS="$CFLAGS -Werror"
+ if test "x$set_more_warnings" = xerror; then
+ CFLAGS="$CFLAGS -Werror"
+ fi
else
AC_MSG_RESULT(no)
fi
--
1.7.6.5

View File

@ -0,0 +1,27 @@
From 984263b474387ca4c688f2c830fb3dea16da3ff3 Mon Sep 17 00:00:00 2001
From: Colin Walters <walters@verbum.org>
Date: Sun, 29 Jan 2012 16:22:51 -0500
Subject: [PATCH] autogen.sh: Fix check for libtool (we only need libtoolize)
A pre-built libtool copy may not be installed on all systems; all
we need is libtoolize.
---
autogen.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/autogen.sh b/autogen.sh
index 426e875..d08b00a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -26,7 +26,7 @@ touch ChangeLog
}
(grep "^AM_PROG_LIBTOOL" configure.ac >/dev/null) && {
- (libtool --version) < /dev/null > /dev/null 2>&1 || {
+ (libtoolize --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have libtool installed."
echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
--
1.7.6.5

View File

@ -429,13 +429,16 @@
"config-opts": ["--with-distro=generic",
"--with-dhclient=yes",
"--with-crypto=nss",
"--with-docs=no"],
"patches": ["NetworkManager-config.patch"]},
"--with-docs=no",
"--enable-more-warnings=yes"],
"patches": ["NetworkManager-config.patch",
"NetworkManager-werror.patch"]},
{"src": "fd:ConsoleKit",
"patches": ["ConsoleKit-builddir.patch"]},
{"src": "fd:PolicyKit",
"patches": ["PolicyKit-libtool.patch"],
"config-opts": ["--disable-man-pages"]},
{"src": "0pointer:libatasmart.git",
@ -448,7 +451,8 @@
"udisks-build-without-docs.patch"]},
{"src": "fd:upower",
"config-opts": ["--disable-man-pages"],
"config-opts": ["--disable-man-pages",
"--disable-strict"],
"patches": ["upower-no-builddir.patch"]},
{"src": "gnome:gnome-doc-utils",